Charge a Registered Card

Rebilling with a Registered Card

Important: Due to PSD2 requirements for strong authentication, rebilling with a registered card for amounts that change on each transaction is no longer available.

In the short term, for completely new transactions, please use POST /moneyins/card/webinit and ask your clients to re-enter their card details on the payment page.

Use this method to credit a payment account with a card linked to that payment account.

You must provide the following information:

  1. The payment account ID to credit
  2. The card ID
  3. The amount to credit
  4. A comment explaining the rebill

It is important to clearly explain why the card was rebilled for security and fraud prevention reasons.

For example, consider including answers to the following questions in the comment field:

  • Is it a monthly payment for a service?
  • If yes, which service?
  • What is the name of the purchase website?
  • What was ordered?
  • What email address was used?

Ensure that all relevant information regarding the rebill is added in the comment field.

Important: Lemonway may request further information in order to respond to complaints received directly by Customer Service, or from banks, police, Visa/Mastercard, or the financial regulator.


Recurring Payments

Initiate the First Transaction

PSP Payment Page

If you are using the PSP Payment Page, you must first initiate a web payment using:

POST /moneyins/card/webinit

The request must include:

registerCard=true

Important: The amount of the first transaction must be higher than the recurring payments.

Direct Mode

If you are using Direct Mode, which is available for PCI-DSS compliant merchants only, you must first register a card using:

POST /moneyins/card/register

Recurring Payments

Each time you want to make a recurring payment, call:

POST /moneyins/card/{cardid}/rebill

You must specify the cardId returned from the first transaction or card registration step.


Payment Upon Delivery

Availability: Web PSP Payment only.

Day of Purchase

On the day of purchase, you must initiate a web payment using:

POST /moneyins/card/webinit

The request must include:

registerCard=true

You must also indicate a value for captureDelayedDays.

The value must be between 1 and 6 days.

Important: The amount of the first transaction must be the same as the amount captured later.

Day of Service or Product Delivery

On the day the service or product is delivered, call:

POST /moneyins/card/{cardid}/rebill

You must specify the cardId returned from the first transaction.

Path Params
int64
required
Body Params
boolean

Indicates if the request is delayed and will require validation.

  1. If empty, the default behavior is no delay and no validation necessary (unless stated otherwise in your contract).
  2. If true, the payment is pre-authorized. You will have to call MoneyInValidate within delayDays time lapse (From J to J+delayDays).
  3. If false, debit is immediately effective
int32

Indicate the number of days of the deferred payment, between 0 and 6 days to have a guaranteed payment.
Only usable with isPreAuth = 1

string

Leave empty

string
length between 0 and 50

Unique ID of the call, generated by your server. This ID can be used as a search field when looking for operation details

string
required
length between 0 and 256

Payment Account ID to Credit

int32
required

Amount to Debit
Amounts are given as integer numbers in cents

int32

Your Fee
Amounts are given as integer numbers in cents

string
length between 0 and 140

Comment Regarding the Transaction

boolean

If true:

  1. [amountCom] will be ignored and will be replaced with Lemonway's fee
  2. You will not receive any fee
Headers
string
required

Authorization bearer (OAuth 2)

string

Response language accepted by final client (PSU). English by default

string
required

IP address of the final client (PSU).

string

User-agent of the final client (PSU).

Responses

401

Unauthorized

500

InternalServerError

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json